/**
 * Copyright (c) 2020-present, Goldman Sachs
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { LegendTaxonomy } from '@finos/legend-application-taxonomy';
import { WebConsole, } from '@finos/legend-shared';
import { DSLDiagram_GraphManagerPreset } from '@finos/legend-extension-dsl-diagram';
import { DSLDataSpace_GraphManagerPreset } from '@finos/legend-extension-dsl-data-space';
export class LegendTaxonomyWebApplication {
    static getPresetCollection() {
        return [
            // graph managers
            new DSLDiagram_GraphManagerPreset(),
            new DSLDataSpace_GraphManagerPreset(),
        ];
    }
    static getPluginCollection() {
        return [
            // loggers
            new WebConsole(),
        ];
    }
    static run(baseUrl) {
        LegendTaxonomy.create()
            .setup({ baseUrl })
            .withPresets(LegendTaxonomyWebApplication.getPresetCollection())
            .withPlugins(LegendTaxonomyWebApplication.getPluginCollection())
            .start()
            .catch((e) => {
            throw e;
        });
    }
}
//# sourceMappingURL=index.js.map